#include <avr\pgmspace.h>

//num families in the table
uint8_t numFamilies = 45;

//family id to index table
uint16_t familyId[] =
{
  0x2,
  0x22,
  0x28,
  0x10,
  0x21,
  0x1A,
  0x37,
  0x8,
  0x6,
  0x0A,
  0x0C,
  0x1,
  0x4,
  0x84,
  0x5,
  0x12,
  0x12,
  0x29,
  0x1F,
  0x1,
  0x24,
  0x27,
  0x41,
  0x1D,
  0x14,
  0x2D,
  0x33,
  0x23,
  0x26,
  0x20,
  0x9,
  0x89,
  0x0B,
  0x8B,
  0x0F,
  0x8F,
  0x31,
  0x36,
  0x51,
  0x30,
  0x30,
  0x30,
  0x2E,
  0x2C,
  0x1C
};

//strinc constants in progmem
const PROGMEM char fam_2[]= "multikey 1153bit secure";
const PROGMEM char fam_22[]= "Econo Digital Thermometer";
const PROGMEM char fam_28[]= "programmable resolution digital thermometer";
const PROGMEM char fam_10[]= "high precision digital thermometer";
const PROGMEM char fam_21[]= "Thermachron";
const PROGMEM char fam_1A[]= "4k Monetary";
const PROGMEM char fam_37[]= "Password protected 32k eeprom";
const PROGMEM char fam_8[]= "1k memory ibutton";
const PROGMEM char fam_6[]= "4k memory ibutton";
const PROGMEM char fam_0A[]= "16k memory ibutton";
const PROGMEM char fam_0C[]= "64k memory ibutton";
const PROGMEM char fam_1[]= "Silicon Serial Number";
const PROGMEM char fam_4[]= "econoram time chip";
const PROGMEM char fam_84[]= "dual port plus time";
const PROGMEM char fam_5[]= "Addresable Switch";
const PROGMEM char fam_12[]= "dual addressable switch plus 1k memory";
const PROGMEM char fam_29[]= "8-channel addressable switch";
const PROGMEM char fam_1F[]= "microlan coupler";
const PROGMEM char fam_24[]= "time chip";
const PROGMEM char fam_27[]= "time chip with interrupt";
const PROGMEM char fam_41[]= "Temperature Logger 8k mem";
const PROGMEM char fam_1D[]= "4k ram with counter";
const PROGMEM char fam_14[]= "256 eeprom";
const PROGMEM char fam_2D[]= "1k eeprom";
const PROGMEM char fam_33[]= "1k protected eeprom with SHA-1";
const PROGMEM char fam_23[]= "4k eeprom";
const PROGMEM char fam_26[]= "smart battery monitor";
const PROGMEM char fam_20[]= "quad a/d converter";
const PROGMEM char fam_9[]= "1k add-only memory";
const PROGMEM char fam_89[]= "48 bit node address chip";
const PROGMEM char fam_0B[]= "16k add-only memory";
const PROGMEM char fam_8B[]= "16k add-only uniqueware";
const PROGMEM char fam_0F[]= "64k add-only  memory";
const PROGMEM char fam_8F[]= "64k add-only uniqueware";
const PROGMEM char fam_31[]= "single-cell rechargable lithium protection ic";
const PROGMEM char fam_36[]= "high precision coulomb counter";
const PROGMEM char fam_51[]= "multichemistry battery fuel gauge";
const PROGMEM char fam_30[]= "high-precision li+ battery monitor";
const PROGMEM char fam_2E[]= "battery monitor and charge controller";
const PROGMEM char fam_2C[]= "digital potentiometer";
const PROGMEM char fam_1C[]= "4k EEPROM withPIO";

const PROGMEM char* const families[] =
{
  fam_2,
  fam_22,
  fam_28,
  fam_10,
  fam_21,
  fam_1A,
  fam_37,
  fam_8,
  fam_6,
  fam_0A,
  fam_0C,
  fam_1,
  fam_4,
  fam_84,
  fam_5,
  fam_12,
  fam_12,
  fam_29,
  fam_1F,
  fam_1,
  fam_24,
  fam_27,
  fam_41,
  fam_1D,
  fam_14,
  fam_2D,
  fam_33,
  fam_23,
  fam_26,
  fam_20,
  fam_9,
  fam_89,
  fam_0B,
  fam_8B,
  fam_0F,
  fam_8F,
  fam_31,
  fam_36,
  fam_51,
  fam_30,
  fam_30,
  fam_30,
  fam_2E,
  fam_2C,
  fam_1C  
};


